%define logmsg logger -t %{name}/rpm

Summary: Open Source host, service and network monitoring program
Name: opmon-nedi
Version: %{_op_major_version}.%{_op_minor_version}
Release: %{_op_release}
License: GPL
BuildArch: noarch
Group: Applications/System
URL: http://www.nagios.org/

Packager: OpServices <info@opservices.com.br>
Vendor: OpServices, http://www.opservices.com.br

Source: %{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

Requires: perl, opmon-nagios >= %{_op_major_version}, libdbi, perl-rrdtool, perl-Algorithm-Diff, perl-Net-Telnet
Provides: opmon-nedi
Obsoletes: opservices-nedi, opmon-nedi104, opservices-nedi105

%description
Nedi 1.07
The Nedi project

%prep
%setup

%build

%install
%{__rm} -rf %{buildroot}
%{__mkdir} -p %{buildroot}/usr/local/nedi
%{__mkdir} -p %{buildroot}/usr/local/opmon/db
%{__mkdir} -p %{buildroot}/etc/cron.d/

%{__cp} -rpf * %{buildroot}/usr/local/nedi/.
%{__cp} -rpf nedi-cron %{buildroot}/etc/cron.d/nedi
%{__cp} -rpf db/nedi.sql %{buildroot}/usr/local/opmon/db/.

# must not be executable due to RPM automaic requirements
%{__chmod} -x %{buildroot}/usr/local/nedi/*.pl
%{__chmod} -x %{buildroot}/usr/local/nedi/contrib/*
%{__chmod} -x %{buildroot}/usr/local/nedi/inc/*


%post

# Update nedi database for 1.0.5 to 1.0.7 will drop it
# updatate bellow will recreate it
/usr/bin/php /usr/local/nedi/update_nedi_database.php >/dev/null 2>&1

# Database update
/usr/bin/php /usr/local/opmon/db/updatedb.php nedi.sql >/dev/null 2>&1

# bring executable flag back due to RPM automaic requirements
%{__chmod} +x /usr/local/nedi/*.pl
%{__chmod} +x /usr/local/nedi/contrib/*
%{__chmod} +x /usr/local/nedi/inc/*

%{__cp} -rpf /usr/local/nedi/conf/nedi.conf /usr/local/nedi/.
%{__cp} -rpf /usr/local/nedi/conf/nedi-default.conf /usr/local/nedi/.


if [ ! -e /etc/nedi.conf ]; then
   /bin/ln -s /usr/local/nedi/nedi.conf /etc/nedi.conf
fi

if [ ! -e /usr/local/opmon/share/nedi ]; then
   /bin/ln -s /usr/local/nedi/html /usr/local/opmon/share/nedi
fi

%preun

%postun

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0755, apache, apache, 0755)
/usr/local/nedi
/usr/local/opmon/db

%defattr(0775, apache, apache, 0775)
/usr/local/nedi/html
/usr/local/nedi/nedi.pl

%defattr(0664, apache, apache, 0665)
%config(noreplace) /usr/local/nedi/nedi.conf
%config(noreplace) /usr/local/nedi/nedi-default.conf
%config(noreplace) /usr/local/nedi/seedlist

%defattr(0644, root, root, 0755)
/etc/cron.d

